#!/bin/bash

# BEGIN STRING TABLE

SHARED_WARNING1="This application installed files which may be shared by other"
SHARED_WARNING2="programs. Removing the shared files may cause these other"
SHARED_WARNING3="applications to stop working."
REMOVE_SHARED="Do you want to remove the shared files (default N)?"
DIFF_USER1="This application was installed by a different user. You may not"
DIFF_USER2="have the correct permissions to correctly uninstall it."
DIFF_USER3="Do you want to attempt to uninstall anyhow? [N/y] "
ABORTED="Uninstall aborted. Your system has been left unchanged."
# END STRING TABLE

uid=`id -u`
if [ $uid -ne $SETUP_USERID ]; then
    echo $DIFF_USER1
    echo $DIFF_USER2
    echo -n $DIFF_USER3
    read response
    case $response in
	y|Y|yes|Yes|YES )
	    # do nothing....
	;;
	* )
	    echo $ABORTED
	    exit 0
	;;
    esac
fi

# Borland pre-uninstall cleanup

if [ -L $SETUP_INSTALLPATH/bin/bplbaseclx.so.6 ]; then  
    rm -f $SETUP_INSTALLPATH/bin/bplbaseclx.so.6
fi

if [ -L $SETUP_INSTALLPATH/bin/liboleaut32.borland.so ]; then  
    rm -f $SETUP_INSTALLPATH/bin/liboleaut32.borland.so
fi

if [ -L $SETUP_INSTALLPATH/bin/libversion.borland.so ]; then  
    rm -f $SETUP_INSTALLPATH/bin/libversion.borland.so
fi

if [ -L $SETUP_INSTALLPATH/bin/bplvisualclx.so.6 ]; then  
    rm -f $SETUP_INSTALLPATH/bin/bplvisualclx.so.6
fi

if [ -L $SETUP_INSTALLPATH/bin/libolecli32.borland.so ]; then  
    rm -f $SETUP_INSTALLPATH/bin/libolecli32.borland.so
fi

if [ -L $SETUP_INSTALLPATH/bin/libwine.borland.so ]; then  
    rm -f $SETUP_INSTALLPATH/bin/libwine.borland.so
fi

if [ -L $SETUP_INSTALLPATH/bin/libgdi32.borland.so ]; then  
    rm -f $SETUP_INSTALLPATH/bin/libgdi32.borland.so
fi

if [ -L $SETUP_INSTALLPATH/bin/liboledlg.borland.so ]; then  
    rm -f $SETUP_INSTALLPATH/bin/liboledlg.borland.so
fi

if [ -L $SETUP_INSTALLPATH/bin/libwineoss.drv.borland.so ]; then  
    rm -f $SETUP_INSTALLPATH/bin/libwineoss.drv.borland.so
fi

if [ -L $SETUP_INSTALLPATH/bin/libimm32.borland.so ]; then  
    rm -f $SETUP_INSTALLPATH/bin/libimm32.borland.so
fi

if [ -L $SETUP_INSTALLPATH/bin/libolepro32.borland.so ]; then  
    rm -f $SETUP_INSTALLPATH/bin/libolepro32.borland.so
fi

if [ -L $SETUP_INSTALLPATH/bin/libwineps.borland.so ]; then  
    rm -f $SETUP_INSTALLPATH/bin/libwineps.borland.so
fi

if [ -L $SETUP_INSTALLPATH/bin/libkernel32.borland.so ]; then  
    rm -f $SETUP_INSTALLPATH/bin/libkernel32.borland.so
fi

if [ -L $SETUP_INSTALLPATH/bin/libolesvr32.borland.so ]; then  
    rm -f $SETUP_INSTALLPATH/bin/libolesvr32.borland.so
fi

if [ -L $SETUP_INSTALLPATH/bin/libwininet.borland.so ]; then  
    rm -f $SETUP_INSTALLPATH/bin/libwininet.borland.so
fi

if [ -L $SETUP_INSTALLPATH/bin/liblz32.borland.so ]; then  
    rm -f $SETUP_INSTALLPATH/bin/liblz32.borland.so
fi

if [ -L $SETUP_INSTALLPATH/bin/libshell32.borland.so ]; then  
    rm -f $SETUP_INSTALLPATH/bin/libshell32.borland.so
fi

if [ -L $SETUP_INSTALLPATH/bin/libwinmm.borland.so ]; then  
    rm -f $SETUP_INSTALLPATH/bin/libwinmm.borland.so
fi

if [ -L $SETUP_INSTALLPATH/bin/libmpr.borland.so ]; then  
    rm -f $SETUP_INSTALLPATH/bin/libmpr.borland.so
fi

if [ -L $SETUP_INSTALLPATH/bin/libshlwapi.borland.so ]; then  
    rm -f $SETUP_INSTALLPATH/bin/libshlwapi.borland.so
fi

if [ -L $SETUP_INSTALLPATH/bin/libwinspool.drv.borland.so ]; then  
    rm -f $SETUP_INSTALLPATH/bin/libwinspool.drv.borland.so
fi

if [ -L $SETUP_INSTALLPATH/bin/libole32.borland.so ]; then  
    rm -f $SETUP_INSTALLPATH/bin/libole32.borland.so
fi

if [ -L $SETUP_INSTALLPATH/bin/libuser32.borland.so ]; then  
    rm -f $SETUP_INSTALLPATH/bin/libuser32.borland.so
fi

if [ -L $SETUP_INSTALLPATH/bin/libx11drv.borland.so ]; then  
    rm -f $SETUP_INSTALLPATH/bin/libx11drv.borland.so
fi

if [ -L $SETUP_INSTALLPATH/bin/libqt.so.2 ]; then
    rm -f $SETUP_INSTALLPATH/bin/libqt.so.2
fi

if [ -L $SETUP_INSTALLPATH/bin/libqtintf.so.2 ]; then
    rm -f $SETUP_INSTALLPATH/bin/libqtintf.so.2
fi

if [ -L $SETUP_INSTALLPATH/bin/libqtintf.so ]; then
    rm -f $SETUP_INSTALLPATH/bin/libqtintf.so
fi

if [ -L $SETUP_INSTALLPATH/bin/libcomctl32.borland.so ]; then
	rm -f $SETUP_INSTALLPATH/bin/libcomctl32.borland.so
fi

if [ -L $SETUP_INSTALLPATH/bin/libcomdlg32.borland.so ]; then
	rm -f $SETUP_INSTALLPATH/bin/libcomdlg32.borland.so
fi

if [ -L $SETUP_INSTALLPATH/bin/bplvcl.so.6 ]; then
	rm -f $SETUP_INSTALLPATH/bin/bplvcl.so.6
fi

if [ -L $SETUP_INSTALLPATH/bin/bplvclex.so.6 ]; then
	rm -f $SETUP_INSTALLPATH/bin/bplvclex.so.6
fi

if [ -L $SETUP_INSTALLPATH/bin/bplcoreide.so.6 ]; then
	rm -f $SETUP_INSTALLPATH/bin/bplcoreide.so.6
fi

if [ -L $SETUP_INSTALLPATH/bin/bpldelphide.so.6 ]; then
	rm -f $SETUP_INSTALLPATH/bin/bpldelphide.so.6
fi

if [ -L $SETUP_INSTALLPATH/bin/bpldesignide.so.6 ]; then
	rm -f $SETUP_INSTALLPATH/bin/bpldesignide.so.6
fi

if [ -L $SETUP_INSTALLPATH/bin/bplvclide.so.6 ]; then
	rm -f $SETUP_INSTALLPATH/bin/bplvclide.so.6
fi

if [ -L $SETUP_INSTALLPATH/bin/dclstd.so.6 ]; then
	rm -f $SETUP_INSTALLPATH/bin/dclstd.so.6
fi

if [ -L $SETUP_INSTALLPATH/bin/librpcrt4.borland.so ]; then
	rm -f $SETUP_INSTALLPATH/bin/librpcrt4.borland.so
fi

if [ -L $SETUP_INSTALLPATH/bin/libadvapi32.borland.so ]; then
	rm -f $SETUP_INSTALLPATH/bin/libadvapi32.borland.so
fi

if [ -L $SETUP_INSTALLPATH/bin/libwine_unicode.borland.so ]; then
	rm -f $SETUP_INSTALLPATH/bin/libwine_unicode.borland.so
fi

if [ -L $SETUP_INSTALLPATH/bin/libborunwind.so.6 ]; then
	rm -f $SETUP_INSTALLPATH/bin/libborunwind.so.6
fi

if [ -L $SETUP_INSTALLPATH/bin/dclemacsedit.so.6 ]; then
	rm -f $SETUP_INSTALLPATH/bin/dclemacsedit.so.6
fi

if [ -L $SETUP_INSTALLPATH/bin/bpldesignhooks.so.6 ]; then
	rm -f $SETUP_INSTALLPATH/bin/bpldesignhooks.so.6
fi

if [ -L $SETUP_INSTALLPATH/bin/libboredit.so.6 ]; then
	rm -f $SETUP_INSTALLPATH/bin/libboredit.so.6
fi

if [ -L $SETUP_INSTALLPATH/bin/libborkbd.so.6 ]; then
	rm -f $SETUP_INSTALLPATH/bin/libborkbd.so.6
fi

if [ -L $SETUP_INSTALLPATH/bin/bplHelpViewers.so.6 ]; then
	rm -f $SETUP_INSTALLPATH/bin/bplHelpViewers.so.6
fi

if [ -L $SETUP_INSTALLPATH/bin/libdbk.so.1 ]; then
	rm -f $SETUP_INSTALLPATH/bin/libdbk.so.1
fi

# remove hyperhelp script file
if [ -e $SETUP_INSTALLPATH/help/hyperhelp.sh ]; then
    rm -f $SETUP_INSTALLPATH/help/hyperhelp.sh
fi

# remove startkylix script file
if [ -e $SETUP_INSTALLPATH/bin/startkylix ]; then
    rm -f $SETUP_INSTALLPATH/bin/startkylix
fi

# remove kylixpath
if [ -e $SETUP_INSTALLPATH/bin/kylixpath ]; then
    rm -f $SETUP_INSTALLPATH/bin/kylixpath
fi

# remove Kylix symlink
if [ -L $SETUP_INSTALLPATH/bin/Kylix ]; then
    rm -f $SETUP_INSTALLPATH/bin/Kylix
fi

# remove Debian 2.2 hack if we installed it
if [ -e $SETUP_INSTALLPATH/bin/libstdc++-libc6.1-1.so.2 ]; then
    rm -f $SETUP_INSTALLPATH/bin/libstdc++-libc6.1-1.so.2
fi

# remove .borlandrc file
if [ -e ~/.borland/.borlandrc ]; then
    rm -f ~/.borland/.borlandrc
fi

if [ -e /usr/local/etc/borlandrc.conf -a $uid -eq 0 ]; then
    rm -f /usr/local/etc/borlandrc.conf
fi

# remove .borland/.delphi60rc file
if [ -e ~/.borland/delphi60rc ]; then
    rm -f ~/.borland/delphi60rc
fi

if [ -e /usr/local/etc/delphi60rc.conf -a $uid -eq 0 ]; then
    rm -f /usr/local/etc/delphi60rc.conf
fi

# remove delphi60.dro file
if [ -e /usr/local/etc/delphi60dro.conf -a $uid -eq 0 ]; then
    rm -f /usr/local/etc/delphi60dro.conf
fi

if [ -e ~/.borland/delphi60dro ]; then
    rm -f ~/.borland/delphi60dro
fi

# check to see if shared files were installed
search=`grep "connections" $SETUP_INSTALLPATH/uninstall`
rpmsearch=`grep "dbexpress" $SETUP_INSTALLPATH/uninstall`

if [ -n "$search" -o -n "$rpmsearch" ]; then
    cat <<EOF

$SHARED_WARNING1
$SHARED_WARNING2
$SHARED_WARNING3

EOF
    echo -n "$REMOVE_SHARED "
    read response

    case $response in
	y|Y|yes|Yes|YES )
	    # remove shared files
#	    if [ -e ~/.borland/dbxconnect_ora ]; then
#		mv -f ~/.borland/dbxconnect_ora $SETUP_INSTALLPATH/bin/
#	    fi
#	    if [ -e ~/.borland/dbxconnect_db2 ]; then
#	      mv -f ~/.borland/dbxconnect_db2 $SETUP_INSTALLPATH/bin/
#	    fi
#	    if [ -e ~/.borland/dbxdrivers_ora ]; then
#		mv -f ~/.borland/dbxdrivers_ora $SETUP_INSTALLPATH/bin/
#	    fi
#	    if [ -e ~/.borland/dbxdrivers_db2 ]; then
#	      mv -f ~/.borland/dbxdrivers_db2 $SETUP_INSTALLPATH/bin/
#	    fi
	    if [ -e ~/.borland/cachedmetrics.:0.0 ]; then
		rm -f ~/.borland/cachedmetrics.:0.0
	    fi
	    mach_name=`echo $HOSTNAME |awk -F. '{printf $1}'`
	    if [ -e ~/.borland/wineserver-$mach_name$DISPLAY ]; then
		rm -r ~/.borland/wineserver-$mach_name$DISPLAY 
	    fi
	    if [ -e ~/.borland/delphi60dci ]; then
		mv ~/.borland/delphi60dci $SETUP_INSTALLPATH/bin/delphi.dci
	    fi
	    if [ -e ~/.borland/delphi60dmt ]; then
		mv ~/.borland/delphi60dmt $SETUP_INSTALLPATH/bin/
	    fi
	    if [ -d ~/.borland ]; then
		rmdir ~/.borland
	    fi
	    if [ -e /usr/local/etc/delphi60dci.conf -a $uid -eq 0 ]; then
		rm -f /usr/local/etc/delphi60dci.conf
	    fi
	    if [ -e /usr/local/etc/delphi60dmt.conf -a $uid -eq 0 ]; then
		rm -f /usr/local/etc/delphi60dmt.conf
	    fi

	    # remove dcc.cfg file
	    if [ "$uid" = "0" ]; then
		if [ -e /usr/local/etc/dcc.conf ]; then
		    rm -f /usr/local/etc/dcc.conf
		fi
	    else
		if [ -e ~/.dcc ]; then
		    rm -f ~/.dcc
		fi
	    fi

	    ;;
	* )
	    # put dummy files in the original installed location
	    # to eliminate error messages during uninstall
	    if [ -n "$search" -o -n "$rpmsearch" ]; then
		touch $SETUP_INSTALLPATH/bin/dbxconnections
		if [ -e ~/.borland/dbxconnect_ora ]; then
		    touch $SETUP_INSTALLPATH/bin/dbxconnect_ora
		fi
		if [ -e ~/.borland/dbxconnect_db2 ]; then
		    touch $SETUP_INSTALLPATH/bin/dbxconnect_db2
		fi
	    fi
	    search=`grep "drivers" $SETUP_INSTALLPATH/uninstall`
	    if [ -n "$search" -o -n "$rpmsearch" ]; then
		touch $SETUP_INSTALLPATH/bin/dbxdrivers
		if [ -e ~/.borland/dbxdrivers_ora ]; then
		    touch $SETUP_INSTALLPATH/bin/dbxdrivers_ora
		fi
		if [ -e ~/.borland/dbxdrivers_db2 ]; then
		    touch $SETUP_INSTALLPATH/bin/dbxdrivers_db2
		fi
	    fi
	    touch $SETUP_INSTALLPATH/bin/delphi.dci
	    touch $SETUP_INSTALLPATH/bin/delphi60dmt
	    ;;
    esac
fi


